List Characters
This is a preview API and may change. Returns a list of characters supported in the API, with filtering by search, tags, categories, model, and sort options.
curl --request GET \
--url https://api.venice.ai/api/v1/characters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/characters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/characters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"adult": false,
"author": "k3x9q",
"createdAt": "2024-12-20T21:28:08.934Z",
"description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
"featured": false,
"id": "2f460055-7595-4640-9cb6-c442c4c869b0",
"name": "Alan Watts",
"shareUrl": "https://venice.ai/c/alan-watts",
"photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
"slug": "alan-watts",
"stats": {
"averageRating": 4.7,
"imports": 112,
"ratingCount": 24,
"ratingSum": 113,
"userRating": 123
},
"tags": [
"AlanWatts",
"Philosophy",
"Buddhism",
"Taoist",
"Hindu"
],
"updatedAt": "2025-02-09T03:23:53.708Z",
"webEnabled": true,
"modelId": "venice-uncensored-1-2"
}
],
"object": "list"
}{
"error": "<string>"
}{
"error": "<string>"
}Experimental Endpoint
Postman Collection
For additional examples, please see this Postman Collection.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.
20100["roleplay", "philosophy"]
Filter by adult content flag
true, false "false"
Filter to only show characters using pro models
true, false "false"
Filter to only show web-enabled characters
true, false "true"
Number of characters to return (max: 100)
0 < x <= 10050
Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.
20200["zai-org-glm-5-1", "kimi-k2-6"]
Number of characters to skip for pagination
x >= 00
Search characters by name, description, or tags. Hashtag search is supported.
200"assistant"
Sort results using a supported character discovery mode
featured, highestRating, highlyRated, highlyRatedAndRecent, imports, mostRecent, ratingCount "imports"
Sort order applied to the selected sort mode. Defaults to descending when omitted.
asc, desc "desc"
Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.
20100["helpful", "productivity"]
Was this page helpful?
